.task-card {
    background-color: white;
    border: solid 1px var(--gray-3);
    border-radius: 20px;
    padding: 20px;
    position: relative;
    color: var(--gray-2);
    margin-bottom: 20px;
    cursor: pointer;
    transition: 0.2s ease;

    .task-head {
        display: flex;
        justify-content: space-between;

        .task-title {
            font-size: large;
            font-family: "Metropolis-Bold";
        }

        .arrow {
            color: var(--blue);
            transition: 0.2s ease;

            &.rotate {
                transform: rotate(180deg);
            }
        }
    }

    &.is_complete {
        border: solid 1px var(--blue);
        box-shadow: 5px 5px;
    }

    .flag {
        width: 10px;
        height: 10px;
        background-color: var(--gray-3);
        position: absolute;
        border-radius: 50%;
        left: -5px;
        top: 45%;

        &.is_complete {
            background-color: var(--blue);
        }
    }

    .subtasks {
        span {
            color: var(--gray-3);
        }
    }

    .line {
        position: absolute;
        bottom: -20px;
        left: 50px;
        height: 20px;
        border-left: solid 1px var(--gray-3);
    }

    .last {
        display: none;
    }
}

.hide {
    .task-description {
        display: none;
    }
}
